Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_ss_gpio_context_t Struct Reference
SoC Registers (Sensor Subsystem)

SS GPIO context type. More...

`#include <qm_sensor_regs.h>`

## Data Fields
uint32_t | gpio_swporta_dr
| Port A Data. More...
uint32_t | gpio_swporta_ddr
| Port A Data Direction. More...
uint32_t | gpio_inten
| Interrupt Enable. More...
uint32_t | gpio_intmask
| Interrupt Mask. More...
uint32_t | gpio_inttype_level
| Interrupt Type. More...
uint32_t | gpio_int_polarity
| Interrupt Polarity. More...
uint32_t | gpio_debounce
| Debounce Enable. More...
uint32_t | gpio_ls_sync
| Synchronization Level. More...

## Detailed Description

SS GPIO context type.

Application should not modify the content. This structure is only intended to be used by the qm_ss_gpio_save_context and qm_ss_gpio_restore_context functions.

Definition at line 180 of file qm_sensor_regs.h.

## Field Documentation

uint32_t qm_ss_gpio_context_t::gpio_debounce

Debounce Enable.

Definition at line 187 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_int_polarity

Interrupt Polarity.

Definition at line 186 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_inten

Interrupt Enable.

Definition at line 183 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_intmask

Interrupt Mask.

Definition at line 184 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_inttype_level

Interrupt Type.

Definition at line 185 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_ls_sync

Synchronization Level.

Definition at line 188 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_swporta_ddr

Port A Data Direction.

Definition at line 182 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().

uint32_t qm_ss_gpio_context_t::gpio_swporta_dr

Port A Data.

Definition at line 181 of file qm_sensor_regs.h.

Referenced by qm_ss_gpio_restore_context(), and qm_ss_gpio_save_context().